Subject: Re: Last Call: <draft-nottingham-safe-hint-05.txt> (The "safe" HTTP Preference) to Proposed Standard

From: Mark Nottingham <[email-masked]>
Date: Fri, 24 Oct 2014 11:36:21 +1100

SM wrote:

>  From Section 1:
> 
>    'That said, the intent of "safe" is to allow end users (or those
>     acting on their behalf) to express a desire to avoid content that is
>     considered "objectionable" within the cultural context of that site;
>     usually (but not always) content that is unsuitable for minors.'
> 
> I did not understand the meaning of "cultural context of that site" 
> in the above.  Does it mean that content unsuitable for minors in one 
> country may be deemed suitable in another country?
> 
> Does cultural context mean that a site that is considered as 
> appropriate in, for example, Canada would not be considered as 
> appropriate in the Norway?

Pretty much. Really, it means the user base of the site; it's up to the site operators to determine what that is.

>  From Section 2:
> 
>    "Origin servers that utilize the "safe" preference SHOULD document
>     that they do so, along with the criteria that they use to denote
>     objectionable content."
> 
>  From https://support.google.com/youtube/answer/174084?hl=en
> 
>    "While it's not 100 percent accurate, we use community flagging,
>     age-restrictions, and other signals to identify and filter out
>     inappropriate content."
> 
> The criteria mentioned above might have to be clarified.

Yes. 

>  From https://help.pinterest.com/en/articles/safe-mode
> 
>    "Safe mode prevents any changes to your account until you reset
>     your password."
> 
> "Safe mode" means something else on that site.

Indeed. I suspect any English name we choose will have conflicts. I don't see a huge problem here, because the UX for setting this mode and that of the site are separate; the site can disambiguate if it both honours the flag and has another local meaning (such as pinterest appears to).

> The site at https://www.facebook.com/about/privacy/minors could be 
> encouraged to implement this proposal.

Sure.

> Minors are ingenious.  It is simply a matter of time for them to 
> figure out how to bypass the mechanism proposed by this draft

Indeed; I have two of them myself. As in security, just because things aren't perfect, it doesn't follow that we don't try.

Thanks,

--
Mark Nottingham   https://www.mnot.net/